.pill,
.pill-basic,
.text-standard {
    font-size: 12px;
    color: rgba(0, 0, 0, 0.9);
    font-family: 'Roboto', Arial;
}

select {
    background-color: unset;
}

.pill {
    width: 100%;
    position: relative;
    border-radius: 8px;
    background-color: #fff;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
    align-content: flex-start;
    padding: 16px;
    box-sizing: border-box;
    text-align: left;
}

.pill-basic {
    width: 100%;
    position: relative;
    border-radius: 8px;
    background-color: #fff;
    padding: 16px;
    box-sizing: border-box;
    border: none !important;
}

.pill-gap {
    gap: 16px;
}

.pill-margin {
    margin-bottom: 8px;
}

.pill-margin-large {
    margin-bottom: 16px;
}

.button-icon {
    width: 16px;
    height: 16px;
    margin: 8px 8px 8px 0px;
}

.button-light:active .button-icon,
.fit-button-light:active .button-icon {
    filter: contrast(0) invert(100%) brightness(2);
}

.button-light,
.fit-button-light,
.button,
.buttonGroup input,
.inlineButtonGroup input,
.fit-button {
    position: relative;
    border-radius: 8px;
    height: 44px;
    overflow: hidden;
    flex-shrink: 0;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    text-align: center;
    font-size: 14px;
    font-family: 'Roboto', Arial;
    padding: 8px 12px;
}

.inlineButtonGroup input[type="checkbox"] {
    height: auto;
}

.button,
.buttonGroup input,
.inlineButtonGroup input,
.fit-button {
    background-color: #4d54cf;
    border: none;
    color: #fff;
}

.button-light,
.fit-button-light {
    background-color: #fff;
    border: 1px solid #464cbc;
    color: #464cbc;
}

.button-light,
.button {
    width: 100%;
    padding: 12px 159px;
}

.fit-button-light:hover,
.button-light:hover {
    background-color: #f5f5f5;
    color: #373c93;
    box-shadow: 0px 2px 8px rgba(16, 50, 67, 0.25);
    cursor: pointer;
    text-decoration: none;
}

.fit-button-light:active,
.button-light:active {
    background: #373c93;
    border: 1px solid #fff;
    color: #fff;
}

.fit-button:hover,
.buttonGroup input:hover,
.inlineButtonGroup input:hover,
.button:hover {
    background: #373c93 !important;
    box-shadow: 0px 2px 8px rgba(16, 50, 67, 0.25);
    cursor: pointer;
    text-decoration: none;
}

.buttonGroup input,
.fit-button {
    width: fit-content;
    padding: 12px 16px;
}

.buttonGroup input[type="button"], input[type="submit"], and input[type="reset"] {
    min-width: 80px;
    border: none;
    height: 32px;
    border-radius: 4px;
    padding: 0;
}

.buttonGroup {
    display: flex;
    flex-wrap: nowrap;
    gap: 8px;
    align-items: center;
}

.toggle-button .toggle-button-label {
    position: relative;
    line-height: 16px;
    font-weight: 500;
    color: #464cbc;
}

a[disabled="disabled"].toggle-button .toggle-button-label {
    color: #fff;
}

.toggle-button-label-container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
}

.toggle-button {
    align-self: stretch;
    border-radius: 16px;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 8px 24px;
}

/*.toggle-button-deselected {
    align-self: stretch;
    border-radius: 16px;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 8px 24px;
    color: rgba(0, 0, 0, 0.7);
}*/

.toggle-button[disabled="disabled"] {
    align-self: stretch;
    border-radius: 5px;
    background-color: #4d54cf;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 8px 24px;
    color: #fff;
}

.toggle-filter {
    position: relative;
    border-radius: 8px;
    background-color: #fff;
    border: 1px solid #d2d2d2;
    box-sizing: border-box;
    width: fit-content;
    height: 36px;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 4px;
    text-align: left;
    font-size: 12px;
    font-family: 'Roboto', Arial;
}

.business-unit {
    position: relative;
    font-size: 16px;
    letter-spacing: 0.02em;
    line-height: 24px;
    font-family: 'Roboto', Arial;
    color: rgba(0, 0, 0, 0.9);
    text-align: left;
}

/*TODO: move*/
.business-unit-drop-down {
    width: 100%;
    position: relative;
    border-radius: 4px;
    background-color: #fff;
    border: 1px solid #d2d2d2;
    box-sizing: border-box;
    height: 32px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 4px 8px;
    text-align: left;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.9);
    font-family: 'Roboto', Arial;
}

.business-unit-container {
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 16px;
    text-align: left;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.9);
    font-family: 'Roboto', Arial;
}

.page-title {
    position: relative;
    line-height: 32px;
    font-weight: 500;
    margin: 0 0 20px 0;
    font-size: 24px;
    font-family: 'Roboto', Arial;
    color: rgba(0, 0, 0, 0.9);
}

.page-title-parent {
    align-self: stretch;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    font-size: 24px;
}

.page-description {
    position: relative;
    font-size: 16px;
    line-height: 24px;
    font-family: 'Roboto', Arial;
    color: rgba(0, 0, 0, 0.7);
    text-align: left;
}

.page-subtitle {
    display: none;
}

.crumb {
    position: relative;
    font-size: 14px;
    color: #000;
    float: left;
    margin: 16px 0 8px 0;
    padding: 0;
    line-height: 20px;
    font-family: 'Roboto', Arial;
    text-align: left;
}

.crumb a {
    position: relative;
    font-size: 14px;
    line-height: 20px;
    font-family: 'Roboto', Arial;
    color: #000;
    text-align: left;
}

.list {
    /* border-radius: 8px;
    background: #FFF;*/
    width: 100%;
}

.list th {
    background-color: #F5F5F5;
    border: solid 1px #ffffff;
    padding: 2px 6px 2px 6px;
    height: 25px; /*background-image: url(../images/gloss.png);     background-position: left center;     background-repeat: repeat-x;*/
    text-align: left;
    font-weight: bold;
    height: 40px;
}

.list {
    border-collapse: collapse;
    margin-bottom: 5px;
    background-color: #ffffff;
}

.list td {
    border-bottom: 1px solid #e1e1e1;
    padding: 0px 4px 2px 4px;
    height: 25px;
    /*text-align: left;*/
    line-height: 16px;
    padding: 4px 8px;
    min-height: 40px;
}

.list th a {
    position: relative;
    font-size: 12px;
    line-height: 16px;
    font-weight: 600;
    font-family: 'Roboto', Arial;
    color: rgba(0, 0, 0, 0.9);
    text-align: left;
}

.list td a {
    font-size: 12px;
    text-decoration: underline;
    font-family: 'Roboto', Arial;
    color: rgba(0, 0, 0, 0.9);
}

table.list tr.highlight td {
    background: #F0F0F0;
}

table.list tr.highlightAlt td {
    background-color: #F0F0F0;
}

.list td.highlight {
}

.list td.vce table {
    /*this hides the ValidatorCalloutExtender popup*/
    display: none;
}

.list th.icon {
    text-align: center;
    width: 30px;
    white-space: nowrap;
}

.list td.icon {
    text-align: center;
    width: 30px;
    white-space: nowrap;
}

.list tr.subTotal {
    background-color: #F0F0F0;
    border-color: Silver;
}

.list td.subTotal {
    background-color: #F0F0F0;
    font-weight: bold;
}

.list tr.total {
    background-color: Silver;
    border-color: Silver;
}

.list td.total {
    font-weight: bold;
    background-color: Silver;
}

.list td.rptSubHeader {
    font-weight: bold;
    background-color: #F0F0F0;
    border-color: white !important;
}

.list td.rptHeader {
    font-weight: bold;
    background-color: Silver;
}

.list td.subTotalSpacer {
    height: 0px;
    padding: 0px;
    margin: 0px;
    border-bottom-color: silver;
}

.list th.reference {
    width: 150px;
}

.list td.reference {
    width: 150px;
}

.list td.rowspan {
    padding-top: 9px;
    vertical-align: top;
}

.list th {
    /*background-color: #F5F5F5;*/
    /*border: solid 1px #ffffff;
    padding: 2px 6px 2px 6px;
    height: 25px;*/ /*background-image: url(../images/gloss.png);     background-position: left center;     background-repeat: repeat-x;*/
    /*text-align: center;
    font-weight: bold;*/
}

    .list th.currencyDirection {
        text-align: left;
        padding-right: 68px;
    }

    .list th.firstName {
        width: 100px;
    }

    .list th.lastName {
        width: 100px;
    }

    .list th.userName {
        width: 150px;
    }

    .list th.userFullName {
        width: 150px;
    }

    .list th.name {
        width: 380px !important;
    }

    .list th.accountName {
        width: 240px;
    }

    /* TODO: Move*/
.accountddl {
    width: 230px;
}

.list th.tradeDate {
    width: 84px;
}

.list th.tradeNumber {
    width: 104px;
}

.list th.roles {
    white-space: nowrap;
    width: 150px;
}

.list th.authLimit {
    white-space: nowrap;
    width: 80px;
}

.list th.functionName {
    width: 200px;
}

.list th.scope {
    width: 100px;
}

.list th.currencyName {
    width: 165px;
}

.list th.currencyCode {
    width: 110px;
}

.list th.subTotal {
    background-color: #F0F0F0;
}

.currencyNameddl {
    width: 190px;
}

.list th.currencyDesc {
    width: 100px;
}

.list th.totalSettlement {
    width: 150px;
}

.list th.sortCode {
    width: 65px;
}

.list th.dpType {
    width: 100px;
}

.list th.beneficiaryName {
    width: 260px;
}

.list th.leftAlign {
    text-align: left;
}

.list th.rightAlign {
    text-align: right;
}

.list td.beneficiaryPicker {
    width: 320px;
}

.list .tt {
    text-align: center;
    width: 70px;
}

.list .right {
    border-right: solid 1px silver;
}

.list .top {
    border-top: solid 1px silver;
}

.list .bottom {
    border-bottom: solid 1px silver;
}

.pagination-button {
    position: relative;
    font-size: 12px;
    text-decoration: underline;
    line-height: 16px;
    font-weight: 500;
    color: #464cbc;
    margin-right: 3px;
    padding: 0px;
}

.pagination-button[disabled="disabled"] {
    color: rgba(0, 0, 0, 0.6);
    text-decoration: underline;
}

.calendar-input-container {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

.calendar-icon {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
}

.wide,
.input {
    align-self: stretch;
    border-radius: 4px;
    background-color: #fff;
    border: 1px solid #d2d2d2;
    box-sizing: border-box;
    height: 32px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 4px 8px;
    text-align: left;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.9);
    font-family: 'Roboto', Arial;
    font-weight: 400;
    /*max-width: 308px;
    min-width: 180px;*/
}

.input-fill {
    align-self: stretch;
    border-radius: 4px;
    background-color: #fff;
    border: 1px solid #d2d2d2;
    box-sizing: border-box;
    height: 32px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    padding: 4px 8px;
    text-align: left;
    font-size: 14px;
    color: rgba(0, 0, 0, 0.9);
    font-family: 'Roboto', Arial;
    font-weight: 400;
    width: 100%;
}

.dropdown-parent-filler {
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    border: 0;
    outline: none;
    text-overflow: ellipsis;
    font-family: 'Roboto', Arial;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    display: flex;
    align-items: center;
}

.page-content-container {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    width: 100%;
}

.list .small-link-text,
.small-link-text {
    position: relative;
    line-height: 16px;
    font-weight: 500;
    font-size: 12px;
    color: #464cbc;
    text-decoration: none !important;
}

.small-link-text:hover {
    text-decoration: underline;
    cursor: pointer;
}

input[type="radio"] {
    appearance: none;
    -webkit-appearance: none;
    position: relative;
    width: 20px;
    height: 20px;
    background-color: #fff;
    border: 2px solid #D2D2D2;
    border-radius: 50%;
    cursor: pointer;
}

input[type="radio"]:checked {
    background-color: #fff;
    border-color: #464CBC;
}

input[type="radio"]:checked::after {
    content: '';
    position: absolute;
    width: 12px;
    height: 12px;
    background-color: #4D54CF;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
/*
input[type="radio"] {
    transform: scale(1.5);
}*/

.account-container-parent {
    width: 308px;
}

.account-picker-container {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.account-search {
    border: none;
    outline: none;
    width: 100%;
    text-overflow: ellipsis;
    font-family: 'Roboto', Arial;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.no-outline {
    outline: none;
}

.account-search-dropdown-style {
    padding: 0px;
    font-size: 14px;
    background-color: #fff;
    border: 1px solid #BCBCBC;
    border-radius: 0px;
    cursor: pointer;
    list-style: none;
    transition: none !important;
    animation: none !important;
    transition-duration: 0s !important;
    overscroll-behavior-y: auto;
    overflow-y: auto;
    overflow-x: hidden;
    box-sizing: border-box;
    white-space: normal;
    height: max-content !important;
    min-height: 20px;
    max-height: 500px;
}

.account-search-item {
    padding: 5px;
    font-size: 14px;
    cursor: pointer;
    color: #000;
    transition-duration: 0s !important;
}

.account-search-item:hover {
    background-color: #1967D2;
    color: #fff;
    transition-duration: 0s !important;
}

.current-account-name {
    margin-left: 4px;
    color: #5f5f5f;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}


.named-setting-parent-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap: 8px;
}

.named-setting-header {
    align-self: stretch;
    position: relative;
    line-height: 20px;
    font-weight: 500;
    font-family: 'Roboto', Arial;
    font-size: 14px;
    font-style: normal;
    color: rgba(0, 0, 0, 0.9);
}

.front {
    background: #F5F5F5;
    min-width: max-content;
}

.ui-widget.ui-widget-content {
    font-family: 'Roboto', Arial;
    line-height: 18px;
    max-height: 500px;
    overflow: clip scroll;
}

div.modalPopup {
    border: none;
    background: #fff;
    padding: 24px;
    width: 600px;
    border-radius: 8px;
    height: auto !important;
    max-height: 90vh;
    font-size: 14px;
    line-height: 20px;
    font-family: 'Roboto', Arial;
    color: rgba(0, 0, 0, 0.7);
    list-style-position: inside;
    overflow: visible auto;
}

div.modalPopup ul {
    list-style-position: inside;
}

.add-bene-icon {
    display: none;
}

#ui-id-2 {
    z-index: 10001;
}

.beneTextBox:focus-within {
    outline: none;
}

.beneComboBox {
    height: 27px;
    position: relative;
    align-content: center;
    padding-left: 6px;
    margin: 0;
    border: 0;
}

.beneComboBox:hover {
    cursor: pointer;
}

.beneTextBox {
    height: 100%;
    width: calc(100% - 25px);
    float: left;
    border: 0;
    text-overflow: ellipsis;
    padding-bottom: 4px;
    padding-top: 4px;
}

#ui-datepicker-div {
    overflow: visible;
}

.ui-datepicker-header {
    background: none !important;
    border: none !important;
}

.ui-datepicker-calendar .ui-state-default {
    color: #000;
    background: none;
    border: none;
    text-align: center;
}

.numeric-right {
    text-align: right;
}

.force-center-popup {
    left: 50% !important;
    top: 50% !important;
    transform: translateX(-50%) translateY(-50%);
}

.wire-transfer-group {
    display: flex;
    align-items: center;
    margin-bottom: 4px;
    width: 400px;
}

.wire-transfer-group-label {
    flex: 1;
    display: inline-block;
    min-width: max-content;
    margin-right: 10px;
    text-align: left;
}

.wire-transfer-group-input {
    width: 120px;
    padding: 5px;
    border-radius: 4px;
}
